libsigc++ 2.0: sigc::internal::slot_iterator_buf< T_emitter, void > Struct Template Reference

Main Page Groups Namespaces

# sigc::internal::slot_iterator_buf<T_emitter, void> Struct Template Reference

Template specialization of slot_iterator_buf for void return signals. More...

List of all members.

## Public Types
typedef size_t | size_type
typedef ptrdiff_t | difference_type
typedef std::bidirectional_iterator_tag | iterator_category
typedef T_emitter | emitter_type
typedef void | result_type
typedef T_emitter::slot_type | slot_type
typedef signal_impl::const_iterator_type | iterator_type
## Public Member Functions
| slot_iterator_buf ()
| slot_iterator_buf (const iterator_type& i, const emitter_type* c)
void | operator* () const
slot_iterator_buf& | operator++ ()
slot_iterator_buf | operator++ (int)
slot_iterator_buf& | operator-- ()
slot_iterator_buf | operator-- (int)
bool | operator== (const slot_iterator_buf&other) const
bool | operator!= (const slot_iterator_buf&other) const

## Detailed Description

### template <class T_emitter>
struct sigc::internal::slot_iterator_buf< T_emitter, void >

Template specialization of slot_iterator_buf for void return signals.

## Member Typedef Documentation

template <class T_emitter>

typedef size_t sigc::internal::slot_iterator_buf<T_emitter, void>::size_type

template <class T_emitter>

typedef ptrdiff_t sigc::internal::slot_iterator_buf<T_emitter, void>::difference_type

template <class T_emitter>

typedef std::bidirectional_iterator_tag sigc::internal::slot_iterator_buf<T_emitter, void>::iterator_category

template <class T_emitter>

typedef T_emitter sigc::internal::slot_iterator_buf<T_emitter, void>::emitter_type

template <class T_emitter>

typedef void sigc::internal::slot_iterator_buf<T_emitter, void>::result_type

template <class T_emitter>

typedef T_emitter::slot_type sigc::internal::slot_iterator_buf<T_emitter, void>::slot_type

template <class T_emitter>

typedef signal_impl::const_iterator_type sigc::internal::slot_iterator_buf<T_emitter, void>::iterator_type

## Constructor & Destructor Documentation

template <class T_emitter>

sigc::internal::slot_iterator_buf<T_emitter, void>::slot_iterator_buf | ( |  | ) | `[inline]`

template <class T_emitter>

sigc::internal::slot_iterator_buf<T_emitter, void>::slot_iterator_buf | ( | const iterator_type& | i,
|  | const emitter_type* | c |
| ) |  |  | `[inline]`

## Member Function Documentation

template <class T_emitter>

void sigc::internal::slot_iterator_buf<T_emitter, void>::operator* | ( |  | ) | const`[inline]`

template <class T_emitter>

slot_iterator_buf& sigc::internal::slot_iterator_buf<T_emitter, void>::operator++ | ( |  | ) | `[inline]`

template <class T_emitter>

slot_iterator_buf sigc::internal::slot_iterator_buf<T_emitter, void>::operator++ | ( | int |  | ) | `[inline]`

template <class T_emitter>

slot_iterator_buf& sigc::internal::slot_iterator_buf<T_emitter, void>::operator-- | ( |  | ) | `[inline]`

template <class T_emitter>

slot_iterator_buf sigc::internal::slot_iterator_buf<T_emitter, void>::operator-- | ( | int |  | ) | `[inline]`

template <class T_emitter>

bool sigc::internal::slot_iterator_buf<T_emitter, void>::operator== | ( | const slot_iterator_buf<T_emitter, void>& | other | ) | const`[inline]`

template <class T_emitter>

bool sigc::internal::slot_iterator_buf<T_emitter, void>::operator!= | ( | const slot_iterator_buf<T_emitter, void>& | other | ) | const`[inline]`

The documentation for this struct was generated from the following file:

- signal.h